"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const ripple_keypairs_1 = __importDefault(require("ripple-keypairs"));
const common = __importStar(require("../common"));
const { errors, validate } = common;
function generateAddressAPI(options) {
    validate.generateAddress({ options });
    try {
        const secret = ripple_keypairs_1.default.generateSeed(options);
        const keypair = ripple_keypairs_1.default.deriveKeypair(secret);
        const address = ripple_keypairs_1.default.deriveAddress(keypair.publicKey);
        return { secret, address };
    }
    catch (error) {
        throw new errors.UnexpectedError(error.message);
    }
}
exports.generateAddressAPI = generateAddressAPI;
//# sourceMappingURL=generate-address.js.map